Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.extract
Class LabeledSpans

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList<E>
                  cc.mallet.types.ArrayListSequence
                      cc.mallet.extract.LabeledSpans

All Implemented Interfaces:
  Sequence, java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.List, java.util.RandomAccess

    public class LabeledSpans

extends ArrayListSequence

Created: Oct 31, 2004

Version:
  $Id: LabeledSpans.java,v 1.1 2007/10/22 21:37:44 mccallum Exp $
Author:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`LabeledSpans(java.lang.Object document)`

Method Summary
`java.lang.Object` | `getDocument()`
`Label` | `getLabel(int i)`
`LabeledSpan` | `getLabeledSpan(int i)`
`Span` | `getSpan(int i)`

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface cc.mallet.types.Sequence
`get, size`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Constructor Detail

### LabeledSpans

    public LabeledSpans(java.lang.Object document)

Method Detail

### getDocument

    public java.lang.Object getDocument()

### getLabel

    public Label getLabel(int i)

### getSpan

    public Span getSpan(int i)

### getLabeledSpan

    public LabeledSpan getLabeledSpan(int i)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD